#
# spec file for package tkinfo
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tkinfo
URL:            http://math-www.uni-paderborn.de/~axel/tkinfo/
Version:        2.11
Release:        1.8
Summary:        Viewer for info-files
License:        SUSE-Public-Domain
Group:          Productivity/Publishing/Texinfo
Source:         %name-%version.tar.gz
Patch0:         tkinfo.patch
Patch1:         tkinfo-alias.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TkInfo is a tk script to read GNU "info" files and display them. TkInfo
can be used stand-alone (via WISH) or embedded within an application to
provide integrated, online help.



Authors:
--------
    Axel Boldt <boldt@math.ucsb.edu>

%prep
%setup
%patch0
%patch1

%build

%install
mkdir -p %buildroot/usr/bin
install -m 755 tkinfo %buildroot/usr/bin
mkdir -p %buildroot%_mandir/man1
install -m 644 tkinfo.1 %buildroot%_mandir/man1

%files
%defattr(-,root,root)
%doc README
%doc %_mandir/*/*
/usr/bin/tkinfo

%changelog
* Fri Nov 27 2020 Wang Jun <jgwang@suse.com>
- update to 2.11
  * Version 2.11 (17-October-2017): Documentation patches by Debian
    maintainer Peter Blackman.
  * Version 2.10 (12-October-2017): Correctly bind Shift-Tab, thanks
    to Gerald Williams.
  * Version 2.9 (04-October-2017): Correctly deal with "Local Variables:"
    info nodes, thanks to Gerald Williams.
* Tue Oct 27 2009 max@suse.de
- Relax wildcard searching, so that info pages with version
  numbers are also found under their basename (bnc#420627).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 max@suse.de
- New version: 2.8.
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Mon Jul  7 2003 max@suse.de
- New version: 2.6.
- Catches up with Tk 8.4 changes (see bug #27727).
- Obsoletes tkinfo-command.patch.
* Mon Oct 28 2002 max@suse.de
- added tkinfo-command.patch
- Spelling out -command options, because the -com abbreviation
  became ambuguous when -compound was added in Tk 8.4.
  (Bug #21347)
* Mon Dec 17 2001 max@suse.de
- Using BuildRoot now.
* Wed Apr 11 2001 max@suse.de
- Added Group: X11/Utilities
- Added Buildarchitectures: noarch
- changed path to wish
* Wed Oct 27 1999 max@suse.de
- new version 2.5
- now runs with Tcl/Tk 8.0
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May  6 1997 hf@suse.de
  A new package tkinfo. Version 1.4
  TkInfo is a tk script to read GNU "info" files and display them.
  TkInfo can be used stand alone (via WISH), or embedded within an
  application to provide integrated, on-line help. It runs on every
  system that supports Tcl/Tk, which means all Unix/X, Mac and
  Windows variants.
